Bug 859548 - [abrt] qt-devel-4.8.2-4.fc17: QObject::connect: Process /usr/bin/designer-qt4 was killed by signal 11 (SIGSEGV)
[abrt] qt-devel-4.8.2-4.fc17: QObject::connect: Process /usr/bin/designer-qt4...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: qt (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
abrt_hash:dec7fe96c0cae7113ee65e21bc8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-21 15:46 EDT by Top Secret
Modified: 2013-08-01 08:01 EDT (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 08:01:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: core_backtrace (919 bytes, text/plain)
2012-09-21 15:46 EDT, Top Secret
no flags Details
File: environ (2.63 KB, text/plain)
2012-09-21 15:46 EDT, Top Secret
no flags Details
File: backtrace (90.09 KB, text/plain)
2012-09-21 15:46 EDT, Top Secret
no flags Details
File: limits (1.29 KB, text/plain)
2012-09-21 15:46 EDT, Top Secret
no flags Details
File: cgroup (126 bytes, text/plain)
2012-09-21 15:46 EDT, Top Secret
no flags Details
File: maps (118.61 KB, text/plain)
2012-09-21 15:46 EDT, Top Secret
no flags Details
File: dso_list (28.11 KB, text/plain)
2012-09-21 15:47 EDT, Top Secret
no flags Details
File: var_log_messages (319 bytes, text/plain)
2012-09-21 15:47 EDT, Top Secret
no flags Details
File: open_fds (795 bytes, text/plain)
2012-09-21 15:47 EDT, Top Secret
no flags Details

  None (edit)
Description Top Secret 2012-09-21 15:46:37 EDT
Description of problem:
Tried to open a .ui file in Qt Designer

Version-Release number of selected component:
qt-devel-4.8.2-4.fc17

Additional info:
libreport version: 2.0.13
abrt_version:   2.0.12
backtrace_rating: 4
cmdline:        /usr/bin/designer-qt4 /home/asd/Sources/kde/kdeplasma-addons/applets/pastebin/pastebinConfig.ui
crash_function: QObject::connect
kernel:         3.5.3-1.fc17.x86_64

truncated backtrace:
:Thread no. 1 (5 frames)
: #0 QObject::connect at kernel/qobject.cpp
: #1 Marble::ParsingTask::runTask at /usr/src/debug/marble-4.8.5/src/lib/RunnerTask.cpp
: #2 Marble::RunnerTask::run at /usr/src/debug/marble-4.8.5/src/lib/RunnerTask.cpp
: #3 QThreadPoolThread::run at concurrent/qthreadpool.cpp
: #4 QThreadPrivate::start at thread/qthread_unix.cpp
Comment 1 Top Secret 2012-09-21 15:46:41 EDT
Created attachment 615593 [details]
File: core_backtrace
Comment 2 Top Secret 2012-09-21 15:46:43 EDT
Created attachment 615594 [details]
File: environ
Comment 3 Top Secret 2012-09-21 15:46:46 EDT
Created attachment 615595 [details]
File: backtrace
Comment 4 Top Secret 2012-09-21 15:46:53 EDT
Created attachment 615596 [details]
File: limits
Comment 5 Top Secret 2012-09-21 15:46:56 EDT
Created attachment 615597 [details]
File: cgroup
Comment 6 Top Secret 2012-09-21 15:46:59 EDT
Created attachment 615598 [details]
File: maps
Comment 7 Top Secret 2012-09-21 15:47:02 EDT
Created attachment 615599 [details]
File: dso_list
Comment 8 Top Secret 2012-09-21 15:47:04 EDT
Created attachment 615600 [details]
File: var_log_messages
Comment 9 Top Secret 2012-09-21 15:47:07 EDT
Created attachment 615601 [details]
File: open_fds
Comment 10 Brian West 2012-11-22 14:47:24 EST
whem attempting to run qt4 designer

backtrace_rating: 4
Package: qt-devel-4.8.3-7.fc17
OS Release: Fedora release 17 (Beefy Miracle)
Comment 11 Ngo Than 2012-11-29 10:25:24 EST
could you please attach the ui file to reproduce the crash?
thanks
Comment 12 Ngo Than 2012-11-29 10:38:06 EST
designer-qt4 can load pastebinConfig.ui without any crash on my machine.
Comment 13 Fedora End Of Life 2013-07-03 23:50:58 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2013-08-01 08:01:31 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.